Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Interface CommandLineOptionConstants.WSDL2JavaConstants

Enclosing interface:
  CommandLineOptionConstants

    public static interface CommandLineOptionConstants.WSDL2JavaConstants

Field Summary
`static java.lang.String` | `All_PORTS_OPTION`
`static java.lang.String` | `All_PORTS_OPTION_LONG`
`static java.lang.String` | `BACKWORD_COMPATIBILITY_OPTION`
`static java.lang.String` | `BACKWORD_COMPATIBILITY_OPTION_LONG`
`static java.lang.String` | `CODEGEN_ASYNC_ONLY_OPTION`
`static java.lang.String` | `CODEGEN_ASYNC_ONLY_OPTION_LONG`
`static java.lang.String` | `CODEGEN_SYNC_ONLY_OPTION`
`static java.lang.String` | `CODEGEN_SYNC_ONLY_OPTION_LONG`
`static java.lang.String` | `DATA_BINDING_TYPE_OPTION`
`static java.lang.String` | `DATA_BINDING_TYPE_OPTION_LONG`
`static java.lang.String` | `EXCEPTION_BASE_CLASS_OPTION`
`static java.lang.String` | `EXCEPTION_BASE_CLASS_OPTION_LONG`
`static java.lang.String` | `EXCLUDE_PAKAGES_OPTION`
`static java.lang.String` | `EXCLUDE_PAKAGES_OPTION_LONG`
`static java.lang.String` | `EXTERNAL_MAPPING_OPTION`
`static java.lang.String` | `EXTERNAL_MAPPING_OPTION_LONG`
`static java.lang.String` | `EXTRA_OPTIONTYPE_PREFIX`
`static java.lang.String` | `FLATTEN_FILES_OPTION`
`static java.lang.String` | `FLATTEN_FILES_OPTION_LONG`
`static java.lang.String` | `GENERATE_ALL_OPTION`
`static java.lang.String` | `GENERATE_ALL_OPTION_LONG`
`static java.lang.String` | `GENERATE_SERVICE_DESCRIPTION_OPTION`
`static java.lang.String` | `GENERATE_SERVICE_DESCRIPTION_OPTION_LONG`
`static java.lang.String` | `GENERATE_TEST_CASE_OPTION`
`static java.lang.String` | `GENERATE_TEST_CASE_OPTION_LONG`
`static java.lang.String` | `HTTP_PROXY_HOST_OPTION_LONG`
`static java.lang.String` | `HTTP_PROXY_PORT_OPTION_LONG`
`static java.lang.String` | `INVALID_OPTION`
`static java.lang.String` | `NAME_SPACE_TO_PACKAGE_OPTION`
`static java.lang.String` | `NAME_SPACE_TO_PACKAGE_OPTION_LONG`
`static java.lang.String` | `NO_BUILD_XML_OPTION_LONG`
`static java.lang.String` | `NO_MESSAGE_RECEIVER_OPTION_LONG`
`static java.lang.String` | `NO_WSDLS_OPTION_LONG`
`static java.lang.String` | `OUTPUT_LOCATION_OPTION`
`static java.lang.String` | `OUTPUT_LOCATION_OPTION_LONG`
`static java.lang.String` | `OVERRIDE_ABSOLUTE_ADDRESS_OPTION`
`static java.lang.String` | `OVERRIDE_ABSOLUTE_ADDRESS_OPTION_LONG`
`static java.lang.String` | `OVERRIDE_OPTION`
`static java.lang.String` | `OVERRIDE_OPTION_LONG`
`static java.lang.String` | `PACKAGE_OPTION`
`static java.lang.String` | `PACKAGE_OPTION_LONG`
`static java.lang.String` | `PORT_NAME_OPTION`
`static java.lang.String` | `PORT_NAME_OPTION_LONG`
`static java.lang.String` | `REPOSITORY_PATH_OPTION`
`static java.lang.String` | `REPOSITORY_PATH_OPTION_LONG`
`static java.lang.String` | `RESOURCE_FOLDER_OPTION`
`static java.lang.String` | `RESOURCE_FOLDER_OPTION_LONG`
`static java.lang.String` | `SERVER_SIDE_CODE_OPTION`
`static java.lang.String` | `SERVER_SIDE_CODE_OPTION_LONG`
`static java.lang.String` | `SERVER_SIDE_INTERFACE_OPTION`
`static java.lang.String` | `SERVER_SIDE_INTERFACE_OPTION_LONG`
`static java.lang.String` | `SERVICE_NAME_OPTION`
`static java.lang.String` | `SERVICE_NAME_OPTION_LONG`
`static java.lang.String` | `SKELTON_CLASS_NAME_OPTION`
`static java.lang.String` | `SKELTON_CLASS_NAME_OPTION_LONG`
`static java.lang.String` | `SKELTON_INTERFACE_NAME_OPTION`
`static java.lang.String` | `SKELTON_INTERFACE_NAME_OPTION_LONG`
`static java.lang.String` | `SOURCE_FOLDER_NAME_OPTION`
`static java.lang.String` | `SOURCE_FOLDER_NAME_OPTION_LONG`
`static java.lang.String` | `STUB_LANGUAGE_OPTION`
`static java.lang.String` | `STUB_LANGUAGE_OPTION_LONG`
`static java.lang.String` | `SUPPRESS_PREFIXES_OPTION`
`static java.lang.String` | `SUPPRESS_PREFIXES_OPTION_LONG`
`static java.lang.String` | `UNPACK_CLASSES_OPTION`
`static java.lang.String` | `UNPACK_CLASSES_OPTION_LONG`
`static java.lang.String` | `UNWRAP_PARAMETERS`
`static java.lang.String` | `UNWRAP_PARAMETERS_LONG`
`static java.lang.String` | `USE_OPERATION_NAME`
`static java.lang.String` | `USE_OPERATION_NAME_LONG`
`static java.lang.String` | `WSDL_LOCATION_URI_OPTION`
`static java.lang.String` | `WSDL_VERSION_1`
`static java.lang.String` | `WSDL_VERSION_2`
`static java.lang.String` | `WSDL_VERSION_2_OPTIONAL`
`static java.lang.String` | `WSDL_VERSION_OPTION`
`static java.lang.String` | `WSDL_VERSION_OPTION_LONG`

Field Detail

### All_PORTS_OPTION

    static final java.lang.String All_PORTS_OPTION

See Also:
  Constant Field Values

### All_PORTS_OPTION_LONG

    static final java.lang.String All_PORTS_OPTION_LONG

See Also:
  Constant Field Values

### BACKWORD_COMPATIBILITY_OPTION

    static final java.lang.String BACKWORD_COMPATIBILITY_OPTION

See Also:
  Constant Field Values

### BACKWORD_COMPATIBILITY_OPTION_LONG

    static final java.lang.String BACKWORD_COMPATIBILITY_OPTION_LONG

See Also:
  Constant Field Values

### CODEGEN_ASYNC_ONLY_OPTION

    static final java.lang.String CODEGEN_ASYNC_ONLY_OPTION

See Also:
  Constant Field Values

### CODEGEN_ASYNC_ONLY_OPTION_LONG

    static final java.lang.String CODEGEN_ASYNC_ONLY_OPTION_LONG

See Also:
  Constant Field Values

### CODEGEN_SYNC_ONLY_OPTION

    static final java.lang.String CODEGEN_SYNC_ONLY_OPTION

See Also:
  Constant Field Values

### CODEGEN_SYNC_ONLY_OPTION_LONG

    static final java.lang.String CODEGEN_SYNC_ONLY_OPTION_LONG

See Also:
  Constant Field Values

### DATA_BINDING_TYPE_OPTION

    static final java.lang.String DATA_BINDING_TYPE_OPTION

See Also:
  Constant Field Values

### DATA_BINDING_TYPE_OPTION_LONG

    static final java.lang.String DATA_BINDING_TYPE_OPTION_LONG

See Also:
  Constant Field Values

### EXTERNAL_MAPPING_OPTION

    static final java.lang.String EXTERNAL_MAPPING_OPTION

See Also:
  Constant Field Values

### EXTERNAL_MAPPING_OPTION_LONG

    static final java.lang.String EXTERNAL_MAPPING_OPTION_LONG

See Also:
  Constant Field Values

### FLATTEN_FILES_OPTION

    static final java.lang.String FLATTEN_FILES_OPTION

See Also:
  Constant Field Values

### FLATTEN_FILES_OPTION_LONG

    static final java.lang.String FLATTEN_FILES_OPTION_LONG

See Also:
  Constant Field Values

### GENERATE_ALL_OPTION

    static final java.lang.String GENERATE_ALL_OPTION

See Also:
  Constant Field Values

### GENERATE_ALL_OPTION_LONG

    static final java.lang.String GENERATE_ALL_OPTION_LONG

See Also:
  Constant Field Values

### GENERATE_SERVICE_DESCRIPTION_OPTION

    static final java.lang.String GENERATE_SERVICE_DESCRIPTION_OPTION

See Also:
  Constant Field Values

### GENERATE_SERVICE_DESCRIPTION_OPTION_LONG

    static final java.lang.String GENERATE_SERVICE_DESCRIPTION_OPTION_LONG

See Also:
  Constant Field Values

### GENERATE_TEST_CASE_OPTION

    static final java.lang.String GENERATE_TEST_CASE_OPTION

See Also:
  Constant Field Values

### GENERATE_TEST_CASE_OPTION_LONG

    static final java.lang.String GENERATE_TEST_CASE_OPTION_LONG

See Also:
  Constant Field Values

### NAME_SPACE_TO_PACKAGE_OPTION

    static final java.lang.String NAME_SPACE_TO_PACKAGE_OPTION

See Also:
  Constant Field Values

### NAME_SPACE_TO_PACKAGE_OPTION_LONG

    static final java.lang.String NAME_SPACE_TO_PACKAGE_OPTION_LONG

See Also:
  Constant Field Values

### NO_BUILD_XML_OPTION_LONG

    static final java.lang.String NO_BUILD_XML_OPTION_LONG

See Also:
  Constant Field Values

### NO_MESSAGE_RECEIVER_OPTION_LONG

    static final java.lang.String NO_MESSAGE_RECEIVER_OPTION_LONG

See Also:
  Constant Field Values

### NO_WSDLS_OPTION_LONG

    static final java.lang.String NO_WSDLS_OPTION_LONG

See Also:
  Constant Field Values

### OUTPUT_LOCATION_OPTION

    static final java.lang.String OUTPUT_LOCATION_OPTION

See Also:
  Constant Field Values

### OUTPUT_LOCATION_OPTION_LONG

    static final java.lang.String OUTPUT_LOCATION_OPTION_LONG

See Also:
  Constant Field Values

### OVERRIDE_OPTION

    static final java.lang.String OVERRIDE_OPTION

See Also:
  Constant Field Values

### OVERRIDE_OPTION_LONG

    static final java.lang.String OVERRIDE_OPTION_LONG

See Also:
  Constant Field Values

### EXCEPTION_BASE_CLASS_OPTION

    static final java.lang.String EXCEPTION_BASE_CLASS_OPTION

See Also:
  Constant Field Values

### EXCEPTION_BASE_CLASS_OPTION_LONG

    static final java.lang.String EXCEPTION_BASE_CLASS_OPTION_LONG

See Also:
  Constant Field Values

### OVERRIDE_ABSOLUTE_ADDRESS_OPTION

    static final java.lang.String OVERRIDE_ABSOLUTE_ADDRESS_OPTION

See Also:
  Constant Field Values

### OVERRIDE_ABSOLUTE_ADDRESS_OPTION_LONG

    static final java.lang.String OVERRIDE_ABSOLUTE_ADDRESS_OPTION_LONG

See Also:
  Constant Field Values

### PACKAGE_OPTION

    static final java.lang.String PACKAGE_OPTION

See Also:
  Constant Field Values

### PACKAGE_OPTION_LONG

    static final java.lang.String PACKAGE_OPTION_LONG

See Also:
  Constant Field Values

### PORT_NAME_OPTION

    static final java.lang.String PORT_NAME_OPTION

See Also:
  Constant Field Values

### PORT_NAME_OPTION_LONG

    static final java.lang.String PORT_NAME_OPTION_LONG

See Also:
  Constant Field Values

### REPOSITORY_PATH_OPTION

    static final java.lang.String REPOSITORY_PATH_OPTION

See Also:
  Constant Field Values

### REPOSITORY_PATH_OPTION_LONG

    static final java.lang.String REPOSITORY_PATH_OPTION_LONG

See Also:
  Constant Field Values

### RESOURCE_FOLDER_OPTION

    static final java.lang.String RESOURCE_FOLDER_OPTION

See Also:
  Constant Field Values

### RESOURCE_FOLDER_OPTION_LONG

    static final java.lang.String RESOURCE_FOLDER_OPTION_LONG

See Also:
  Constant Field Values

### SERVER_SIDE_CODE_OPTION

    static final java.lang.String SERVER_SIDE_CODE_OPTION

See Also:
  Constant Field Values

### SERVER_SIDE_CODE_OPTION_LONG

    static final java.lang.String SERVER_SIDE_CODE_OPTION_LONG

See Also:
  Constant Field Values

### SERVER_SIDE_INTERFACE_OPTION

    static final java.lang.String SERVER_SIDE_INTERFACE_OPTION

See Also:
  Constant Field Values

### SERVER_SIDE_INTERFACE_OPTION_LONG

    static final java.lang.String SERVER_SIDE_INTERFACE_OPTION_LONG

See Also:
  Constant Field Values

### SERVICE_NAME_OPTION

    static final java.lang.String SERVICE_NAME_OPTION

See Also:
  Constant Field Values

### SERVICE_NAME_OPTION_LONG

    static final java.lang.String SERVICE_NAME_OPTION_LONG

See Also:
  Constant Field Values

### SOURCE_FOLDER_NAME_OPTION

    static final java.lang.String SOURCE_FOLDER_NAME_OPTION

See Also:
  Constant Field Values

### SOURCE_FOLDER_NAME_OPTION_LONG

    static final java.lang.String SOURCE_FOLDER_NAME_OPTION_LONG

See Also:
  Constant Field Values

### STUB_LANGUAGE_OPTION

    static final java.lang.String STUB_LANGUAGE_OPTION

See Also:
  Constant Field Values

### STUB_LANGUAGE_OPTION_LONG

    static final java.lang.String STUB_LANGUAGE_OPTION_LONG

See Also:
  Constant Field Values

### SUPPRESS_PREFIXES_OPTION

    static final java.lang.String SUPPRESS_PREFIXES_OPTION

See Also:
  Constant Field Values

### SUPPRESS_PREFIXES_OPTION_LONG

    static final java.lang.String SUPPRESS_PREFIXES_OPTION_LONG

See Also:
  Constant Field Values

### UNPACK_CLASSES_OPTION

    static final java.lang.String UNPACK_CLASSES_OPTION

See Also:
  Constant Field Values

### UNPACK_CLASSES_OPTION_LONG

    static final java.lang.String UNPACK_CLASSES_OPTION_LONG

See Also:
  Constant Field Values

### UNWRAP_PARAMETERS

    static final java.lang.String UNWRAP_PARAMETERS

See Also:
  Constant Field Values

### UNWRAP_PARAMETERS_LONG

    static final java.lang.String UNWRAP_PARAMETERS_LONG

See Also:
  Constant Field Values

### WSDL_LOCATION_URI_OPTION

    static final java.lang.String WSDL_LOCATION_URI_OPTION

See Also:
  Constant Field Values

### WSDL_VERSION_OPTION

    static final java.lang.String WSDL_VERSION_OPTION

See Also:
  Constant Field Values

### WSDL_VERSION_OPTION_LONG

    static final java.lang.String WSDL_VERSION_OPTION_LONG

See Also:
  Constant Field Values

### HTTP_PROXY_HOST_OPTION_LONG

    static final java.lang.String HTTP_PROXY_HOST_OPTION_LONG

See Also:
  Constant Field Values

### HTTP_PROXY_PORT_OPTION_LONG

    static final java.lang.String HTTP_PROXY_PORT_OPTION_LONG

See Also:
  Constant Field Values

### EXCLUDE_PAKAGES_OPTION

    static final java.lang.String EXCLUDE_PAKAGES_OPTION

See Also:
  Constant Field Values

### EXCLUDE_PAKAGES_OPTION_LONG

    static final java.lang.String EXCLUDE_PAKAGES_OPTION_LONG

See Also:
  Constant Field Values

### SKELTON_INTERFACE_NAME_OPTION

    static final java.lang.String SKELTON_INTERFACE_NAME_OPTION

See Also:
  Constant Field Values

### SKELTON_INTERFACE_NAME_OPTION_LONG

    static final java.lang.String SKELTON_INTERFACE_NAME_OPTION_LONG

See Also:
  Constant Field Values

### USE_OPERATION_NAME

    static final java.lang.String USE_OPERATION_NAME

See Also:
  Constant Field Values

### USE_OPERATION_NAME_LONG

    static final java.lang.String USE_OPERATION_NAME_LONG

See Also:
  Constant Field Values

### SKELTON_CLASS_NAME_OPTION

    static final java.lang.String SKELTON_CLASS_NAME_OPTION

See Also:
  Constant Field Values

### SKELTON_CLASS_NAME_OPTION_LONG

    static final java.lang.String SKELTON_CLASS_NAME_OPTION_LONG

See Also:
  Constant Field Values

### INVALID_OPTION

    static final java.lang.String INVALID_OPTION

See Also:
  Constant Field Values

### EXTRA_OPTIONTYPE_PREFIX

    static final java.lang.String EXTRA_OPTIONTYPE_PREFIX

See Also:
  Constant Field Values

### WSDL_VERSION_2

    static final java.lang.String WSDL_VERSION_2

See Also:
  Constant Field Values

### WSDL_VERSION_2_OPTIONAL

    static final java.lang.String WSDL_VERSION_2_OPTIONAL

See Also:
  Constant Field Values

### WSDL_VERSION_1

    static final java.lang.String WSDL_VERSION_1

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.